Page MenuHomePhabricator

Unhandled exception "syntax error, unexpected @, expecting $end" when search string contains @
Closed, ResolvedPublic

Description

I was searching for "legal@wikimedia.org", and got this:

Search Unhandled Exception ("AphrontQueryException")
Unhandled Exception ("AphrontQueryException")
#1064: syntax error, unexpected '@', expecting $end

This looks pretty bad, especially the "$end" part.

Event Timeline

grin created this task.Nov 17 2016, 5:00 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptNov 17 2016, 5:00 PM

Confirming when searching for legal@wikimedia.org in the upper right corner.

T148298: Unhandled exception "syntax error, unexpected $end" when search string ends in whitespace is similar.

Aklapper renamed this task from Phabricator search gave a really weird reply to Unhandled exception "syntax error, unexpected @, expecting $end" when search string contains @.Nov 17 2016, 5:09 PM
Aklapper triaged this task as Low priority.
Paladox closed this task as Resolved.Jan 26 2017, 9:19 AM
Paladox edited projects, added Phabricator (2017-01-25); removed Phabricator.

After the recent phabricator update, I can no longer reproduce this problem.

I am going to close this as resolved. Please re open if the problem still happends.